package com.yaoyicloud.easier.common.core.config;

import javax.annotation.Resource;

import org.springframework.boot.autoconfigure.condition.ConditionalOnClass;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import com.yaoyicloud.easier.common.core.util.Ip2Region;

import lombok.extern.slf4j.Slf4j;

/**
 * @author jimmy
 * @version 1.0.0
 * @date 12/29/23 11:12
 */
@Slf4j
@Configuration
@ConditionalOnClass(EasierCommonProperties.class)
public class Ip2RegionConfiguration {

    @Resource
    private EasierCommonProperties properties;

    @Bean
    public Ip2Region ip2Region() {
        String path = properties.getIp2RegionPath();
        log.info("Ip2Region(path:{}) Init Start", path);
        Ip2Region ip2Region = new Ip2Region(path);
        log.info("Ip2Region(path:{}) Init End", path);
        return ip2Region;
    }
}
