package com.yaoyicloud.easier.common.core.config;

import org.springframework.context.MessageSource;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.support.ReloadableResourceBundleMessageSource;

/**
 * 国际化配置
 *
 * @author jimmy
 * @version 1.0.0
 * @date 2023-12-11 13:25
 */
@Configuration
public class MessageSourceConfiguration {

    @Bean
    public MessageSource easierMessageSource() {
        ReloadableResourceBundleMessageSource messageSource = new ReloadableResourceBundleMessageSource();
        messageSource.setBasename("classpath:i18n/messages");
        return messageSource;
    }

}
