package com.yaoyicloud.easier.common.core.constant;

import lombok.AccessLevel;
import lombok.NoArgsConstructor;

/**
 * 通用常量
 *
 * @author jimmy
 * @version 1.0.0
 * @date 2023-12-19 11:25
 */
@NoArgsConstructor(access = AccessLevel.NONE)
public final class CommonConstants {

    /**
     * header 中租户ID
     */
    public static final String TENANT_ID_HEADER = "X-Tenant-Id";

    /**
     * header 中版本信息
     */
    public static final String VERSION = "X-Version";

    /**
     * 端类型头信息
     */
    public static final String TERMINAL_TYPE_HEADER = "X-Terminal-Type";

    /**
     * header 中应用ID, 可空，默认为1，锋信易
     */
    public static final String APPLICATION_ID_HEADER = "X-Application-Id";

    /**
     * 租户ID
     */
    public static final Long TENANT_ID_1 = 1L;

    /**
     * FXY APP ID
     */
    public static final Long APPLICATION_ID_1 = 1L;

    /**
     * 成功标记
     */
    public static final String SUCCESS = "2000";

    /**
     * 默认成功信息
     */
    public static final String SUCCESS_MSG = "成功";

    /**
     * 失败标记
     */
    public static final String FAIL = "5000";

    /**
     * 默认失败信息
     */
    public static final String FAIL_MSG = "失败";

    /**
     * 删除
     */
    public static final String STATUS_DEL = "1";

    /**
     * 正常
     */
    public static final String STATUS_NORMAL = "0";

    /**
     * 锁定
     */
    public static final String STATUS_LOCK = "9";

    /**
     * 菜单树根节点
     */
    public static final Long DEF_TREE_ROOT_ID = -1L;

    /**
     * 编码
     */
    public static final String UTF8 = "UTF-8";

    /**
     * 前端工程名
     */
    public static final String FRONT_END_PROJECT = "easier-ui";

    /**
     * 移动端工程名
     */
    public static final String UNI_END_PROJECT = "easier-app";

    /**
     * 后端工程名
     */
    public static final String BACK_END_PROJECT = "easier";

    /**
     * 公共参数
     */
    public static final String EASIER_PUBLIC_PARAM_KEY = "EASIER_PUBLIC_PARAM_KEY";

    /**
     * 默认存储bucket
     */
    public static final String BUCKET_NAME = "freerr";

    /**
     * 滑块验证码
     */
    public static final String IMAGE_CODE_TYPE = "blockPuzzle";

    /**
     * 验证码开关
     */
    public static final String CAPTCHA_FLAG = "captcha_flag";

    /**
     * 密码传输是否加密
     */
    public static final String ENC_FLAG = "enc_flag";

    /**
     * 客户端允许同时在线数量
     */
    public static final String ONLINE_QUANTITY = "online_quantity";

    /**
     * 请求开始时间
     */
    public static final String REQUEST_START_TIME = "REQUEST-START-TIME";

    /**
     * json 映射器
     */
    public static final String JSON_TYPE_HANDLER_MAPPING =
        "typeHandler=com.baomidou.mybatisplus.extension.handlers.JacksonTypeHandler";

    /**
     * 匿名
     */
    public static final String ANONYMOUS_NAME = "anonymous";

}
