package com.yaoyicloud.easier.common.core.util;

import java.util.Locale;

import org.springframework.context.MessageSource;

import lombok.experimental.UtilityClass;

/**
 * 信息工具类
 *
 * @author jimmy
 * @version 1.0.0
 * @date 2023-12-24 23:56
 */
@UtilityClass
public class MsgUtils {

    /**
     * 通过code 获取中文错误信息
     *
     * @param code 状态码
     * @return 信息
     */
    public String getMessage(String code) {
        MessageSource messageSource = SpringContextHolder.getBean("easierMessageSource");
        return messageSource.getMessage(code, null, Locale.CHINA);
    }

    /**
     * 通过code 和参数获取中文错误信息
     *
     * @param code 状态码
     * @return 信息
     */
    public String getMessage(String code, Object... objects) {
        MessageSource messageSource = SpringContextHolder.getBean("easierMessageSource");
        return messageSource.getMessage(code, objects, Locale.CHINA);
    }

    /**
     * security 通过code 和参数获取中文错误信息
     *
     * @param code 状态码
     * @return 信息
     */
    public String getSecurityMessage(String code, Object... objects) {
        MessageSource messageSource = SpringContextHolder.getBean("securityMessageSource");
        return messageSource.getMessage(code, objects, Locale.CHINA);
    }

}
