package com.yaoyicloud.easier.common.core.util;

import org.springframework.stereotype.Component;

/**
 * ThreadLocal组件
 *
 * @author jimmy
 * @date 2022/05/11 14:38
 */
@SuppressWarnings("checkstyle:JavadocType")
@Component
public final class ThreadLocalKit<T> {

    private final ThreadLocal<T> threadLocal = new ThreadLocal<>();

    /**
     * 获取当前线程的存的变量
     *
     * @return 线程公共变量
     */
    public T get() {
        return threadLocal.get();
    }

    /**
     * 设置当前线程的存的变量
     *
     * @param t 目标变量
     */
    public void set(T t) {
        threadLocal.set(t);

    }

    /**
     * 移除当前线程的存的变量
     */
    public void remove() {
        threadLocal.remove();
    }

}
