package com.yaoyicloud.easier.common.data.datascope;

import org.apache.ibatis.mapping.MappedStatement;
import org.apache.ibatis.mapping.SqlSource;
import org.apache.ibatis.scripting.defaults.RawSqlSource;

import com.baomidou.mybatisplus.core.injector.AbstractMethod;
import com.baomidou.mybatisplus.core.metadata.TableInfo;

/**
 * 忽略逻辑查询
 *
 * @author jimmy
 * @date 2024-08-19 17:52
 */
public class SelectRealById extends AbstractMethod {

    public SelectRealById() {
        super("selectRealById");
    }

    /**
     * 注入自定义 MappedStatement
     *
     * @param mapperClass mapper 接口
     * @param modelClass mapper 泛型
     * @param tableInfo 数据库表反射信息
     * @return MappedStatement
     */
    @Override
    public MappedStatement injectMappedStatement(Class<?> mapperClass, Class<?> modelClass, TableInfo tableInfo) {

        SqlSource sqlSource = new RawSqlSource(configuration,
            String.format("SELECT %s FROM %s WHERE %s=#{%s}", sqlSelectColumns(tableInfo, false),
                tableInfo.getTableName(), tableInfo.getKeyColumn(), tableInfo.getKeyProperty()),
            Object.class);

        return this.addSelectMappedStatementForTable(mapperClass, "selectRealById", sqlSource, tableInfo);
    }
}
