package com.yaoyicloud.easier.common.data.tenant;

import com.yaoyicloud.easier.common.core.constant.CommonConstants;

import feign.RequestInterceptor;
import feign.RequestTemplate;
import lombok.extern.slf4j.Slf4j;

@Slf4j
public class EasierFeignTenantInterceptor implements RequestInterceptor {

    @Override
    public void apply(RequestTemplate requestTemplate) {
        Long val = CommonConstants.APPLICATION_ID_1; // Default FXY
        if (TenantContextHolder.getApplicationId() != null) {
            val = TenantContextHolder.getApplicationId();
        }

        requestTemplate.header(CommonConstants.APPLICATION_ID_HEADER, val.toString());

        if (TenantContextHolder.getTenantId() == null) {
            log.debug("TTL 中的 租户ID为空，feign拦截器 >> 跳过");
            return;
        }
        requestTemplate.header(CommonConstants.TENANT_ID_HEADER, TenantContextHolder.getTenantId().toString());
    }

}
