package com.yaoyicloud.easier.common.data.tenant;

import java.io.IOException;

import org.springframework.http.HttpRequest;
import org.springframework.http.client.ClientHttpRequestExecution;
import org.springframework.http.client.ClientHttpRequestInterceptor;
import org.springframework.http.client.ClientHttpResponse;

import com.yaoyicloud.easier.common.core.constant.CommonConstants;

public class TenantRequestInterceptor implements ClientHttpRequestInterceptor {

    @Override
    public ClientHttpResponse intercept(HttpRequest request, byte[] body, ClientHttpRequestExecution execution)
        throws IOException {

        long val = CommonConstants.APPLICATION_ID_1; // Default FXY
        if (TenantContextHolder.getApplicationId() != null) {
            val = TenantContextHolder.getApplicationId();
        }
        request.getHeaders().set(CommonConstants.APPLICATION_ID_HEADER, String.valueOf(val));

        if (TenantContextHolder.getTenantId() != null) {
            request.getHeaders().set(CommonConstants.TENANT_ID_HEADER,
                String.valueOf(TenantContextHolder.getTenantId()));
        }

        return execution.execute(request, body);
    }

}
