package com.yaoyicloud.easier.common.domain;

import java.io.Serializable;
import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;

import lombok.AccessLevel;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 通用实体用来记录操作历史, 由管理员或者用户操作的实体从此继承
 *
 * @author jimmy
 * @version 1.0.0
 * @date 12/13/23 21:29
 */
@Data
@NoArgsConstructor(access = AccessLevel.NONE)
public abstract class EasierCommonEntity implements Serializable {

    private static final long serialVersionUID = 7344139240780431717L;

    /**
     * 创建人
     */
    @TableField(fill = FieldFill.INSERT)
    protected String createdBy;

    /**
     * 更新人
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    protected String modifiedBy;

    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    protected LocalDateTime createdTime;

    /**
     * 更新时间
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    protected LocalDateTime modifiedTime;
}
