package com.yaoyicloud.easier.common.domain;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.yaoyicloud.easier.common.domain.enums.flag.CommonFlag;

import lombok.AccessLevel;
import lombok.NoArgsConstructor;

/**
 * 通用实体,用于可能移出业务系统之外的实体继承
 *
 * @author dengjia
 * @version 1.0.0
 * @date 25/01/10 21:29
 */
@NoArgsConstructor(access = AccessLevel.NONE)
public abstract class EasierRemovableEntity extends EasierCommonEntity {

    /**
     * 锁定标记, 表明写移出
     */
    @TableField(value = "lock_flag")
    private CommonFlag.LockFlag lockFlag;

    /**
     * 删除标记，表明读写移出
     */
    @TableLogic
    @TableField(fill = FieldFill.INSERT)
    private CommonFlag.DelFlag delFlag;
}
