package com.yaoyicloud.easier.common.domain.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum LoginTypeEnum {

    /**
     * 账号密码登录
     */
    PWD("PWD", "账号密码登录"),

    /**
     * 验证码登录
     */
    SMS("SMS", "验证码登录"),

    APPSMS("APP-SMS", "APP验证码登录"),

    /**
     * QQ登录
     */
    QQ("QQ", "QQ登录"),

    /**
     * 微信登录
     */
    WECHAT("WX", "微信登录"),

    /**
     * 微信小程序
     */
    MINI_APP("MINI", "微信小程序"),

    /**
     * 码云登录
     */
    GITEE("GITEE", "码云登录"),

    /**
     * 开源中国登录
     */
    OSC("OSC", "开源中国登录"),

    /**
     * 钉钉
     */
    DINGTALK("DINGTALK", "钉钉"),

    /**
     * 企业微信
     */
    WEIXIN_CP("WEIXIN_CP", "企业微信"),

    /**
     * CAS 登录
     */
    CAS("CAS", "CAS 登录");

    /**
     * 类型
     */
    private String type;

    /**
     * 描述
     */
    private String description;

}
