package com.yaoyicloud.easier.common.domain.enums.flag;

import com.baomidou.mybatisplus.annotation.EnumValue;

import lombok.AccessLevel;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;

/**
 * 通用枚举类型
 *
 * @author jimmy
 * @version 1.0.1
 * @date 2022-10-12 13:27
 */
@NoArgsConstructor(access = AccessLevel.NONE)
public final class CommonFlag {

    // 操作标记枚举
    @Getter
    @AllArgsConstructor
    public enum LockFlag {

        OK("OK", "正常"), LOCKED("LOC", "已锁定");

        @EnumValue
        private final String flag;
        private final String description;

    }

    // 操作标记枚举
    @Getter
    @AllArgsConstructor
    public enum DelFlag {

        OK("OK", "正常"), DELETED("DEL", "已删除");

        @EnumValue
        private final String flag;
        private final String description;

    }

    // 系统内置标记
    @Getter
    @AllArgsConstructor
    public enum SystemFlag {

        SYS("SYS", "系统内置"), BIZ("BIZ", "业务类");

        @EnumValue
        private final String flag;
        private final String description;

    }

    // 验证码标记
    @Getter
    @AllArgsConstructor
    public enum CaptchaFlag {

        ON("ON", "1", "开启验证码"), OFF("OFF", "0", "关闭验证码");

        @EnumValue
        private final String flag;
        private final String code;
        private final String description;

    }

    // 密码是否加密传输
    @Getter
    @AllArgsConstructor
    public enum EncryptFlag {

        YES("YES", "1", "是"), NO("NO", "0", "否");

        @EnumValue
        private final String flag;
        private final String code;
        private final String description;

    }

    // 流向标签
    @Getter
    @AllArgsConstructor
    public enum FlowFlag {

        UPSTREAM("UPSTREAM", "上游"), DOWNSTREAM("DOWNSTREAM", "下游"), DEPOSIT("DEPOSIT", "正向"),
        WITHDRAW("WITHDRAW", "负向");

        @EnumValue
        private final String flag;
        private final String description;

    }

    // 发布标记
    @Getter
    @AllArgsConstructor
    public enum PublishFlag {

        PUBLISHED("PUBLISHED", "已发布"), UNPUBLISHED("UNPUBLISHED", "未发布");

        @EnumValue
        private final String flag;
        private final String description;

    }
}
