package com.yaoyicloud.easier.common.domain.enums.state;

import com.baomidou.mybatisplus.annotation.EnumValue;

import lombok.AccessLevel;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;

/**
 * 订单中心状态枚举
 *
 * @author jimmy
 * @version 1.0.1
 * @date 2022-11-18 11:28
 */
@NoArgsConstructor(access = AccessLevel.NONE)
public final class CheckoutState {

    // 订单状态
    @Getter
    @AllArgsConstructor
    public enum OrderState {

        PENDING("PENDING", "待支付"), IN_TRANSIT("IN_TRANSIT", "在途支付"), PAID("PAID", "支付成功"),
        DELIVERING("DELIVERING", "已发货"), PAY_FAIL("FAILED", "支付失败"), CANCELED("CANCELED", "已取消"),
        COMPLETED("COMPLETED", "支付成功");

        @EnumValue
        private final String state;

        private final String description;
    }

    // 流水交易状态
    @Getter
    @AllArgsConstructor
    public enum TradeState {

        PENDING("PENDING", OrderState.PENDING, "待支付"), IN_TRANSIT("IN_TRANSIT", OrderState.IN_TRANSIT, "在途支付"),
        PAID("PAID", OrderState.PAID, "支付成功"), PAY_FAIL("PAY_FAIL", OrderState.PAY_FAIL, "支付失败");

        @EnumValue
        private final String state;
        private OrderState orderState;
        private final String description;

    }
}
