package com.yaoyicloud.easier.common.domain.enums.state;

import com.baomidou.mybatisplus.annotation.EnumValue;

import lombok.AccessLevel;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;

/**
 * 订单中心状态枚举
 *
 * @author jimmy
 * @version 1.0.0
 * @date 2022-11-18 11:28
 */
@NoArgsConstructor(access = AccessLevel.NONE)
public final class WarehouseState {

    // 项目状态
    @Getter
    @AllArgsConstructor
    public enum ProjectState {

        PENDING("PENDING", "待发布"), PUBLISHED("PUBLISHED", "发布中"), CANCELLED("CANCELLED", "已取消"),
        IN_PROGRESS("IN_PROGRESS", "进行中"), UNPAID("UNPAID", "待支付"), PAID("PAID", "已完成"), STOP("STOP", "已中止");

        @EnumValue
        private final String state;
        private final String description;

    }

    // 项目领取记录状态
    @Getter
    @AllArgsConstructor
    public enum ProjectPickUpState {

        PICKED("PICKED", "已领取"), CANCELLED("CANCELLED", "已取消"), APPROVED("APPROVED", "已通过"),
        REJECTED("REJECTED", "已拒绝"), STOP("STOP", "已终止");

        @EnumValue
        private final String state;
        private final String description;

    }

    // Gig交付物审核状态状态
    @Getter
    @AllArgsConstructor
    public enum GigDeliverableAuditState {

        PENDING("PENDING", "待审核"), APPROVED("APPROVED", "已通过"), REJECTED("REJECTED", "已驳回");

        @EnumValue
        private final String state;
        private final String description;

    }

}
