package com.yaoyicloud.easier.common.domain.enums.type;

import com.baomidou.mybatisplus.annotation.EnumValue;

import lombok.AccessLevel;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;

/**
 * 支付中心类型
 *
 * @author jimmy
 * @version 1.0.2
 * @date 2022-11-16 14:22
 */
@NoArgsConstructor(access = AccessLevel.NONE)
public final class CheckoutType {

    // 支付渠道类型
    @Getter
    @AllArgsConstructor
    public enum PaymentChannel {

        OFFLINE("OFFLINE", "offline", "线下支付"), CREDIT("CREDIT", "credit", "赊销"), BALANCE("BALANCE", "balance", "账户余额"),
        BANK_CARD("BANK_CARD", "bank-card", "银行卡"), WECHAT_PAY("WECHAT_PAY", "wechat-pay", "微信支付"),
        ALI_PAY("ALI_PAY", "ali-pay", "支付宝");

        @EnumValue
        private final String type;
        private final String alias;
        private final String description;

    }

    // 币种
    @Getter
    @AllArgsConstructor
    public enum Currency {

        CNY("CNY", "人民币");

        @EnumValue
        private final String type;
        private final String description;

    }

    // 订单流向
    @Getter
    @AllArgsConstructor
    public enum OrderFlow {

        B2B("B2B", "B2B"), B2C("B2C", "B2C"), C2C("C2C", "C2C"), C2B("C2B", "C2B");

        @EnumValue
        private final String type;
        private final String description;

    }

    // 订单操作类型
    @Getter
    @AllArgsConstructor
    public enum OrderOperationType {

        CREATE("CREATE", "用户下单"), IN_TRANSIT("IN_TRANSIT", "已付款"), CANCELED("CANCELED", "已关单"),
        DELIVERED("DELIVERED", "已完单");

        @EnumValue
        private final String type;
        private final String description;

    }

    // 下发方式
    @Getter
    @AllArgsConstructor
    public enum PaymentAction {

        SUSPEND("SUSPEND", "挂起"), DIRECT("DIRECT", "直发");

        @EnumValue
        private final String type;
        private final String description;
    }

    // 订单参与者身份
    @Getter
    @AllArgsConstructor
    public enum OrderPlayer {
        BUYER("BUYER", "买家"), AGENT("AGENT", "代理商"), SELLER("SELLER", "卖家");

        @EnumValue
        private final String type;
        private final String description;
    }

}
