package com.yaoyicloud.easier.common.domain.enums.type;

import com.baomidou.mybatisplus.annotation.EnumValue;

import lombok.AccessLevel;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;

/**
 * 会员中心类型枚举
 *
 * @author jimmy
 * @version 1.0.0
 * @date 2022-10-15 20:14
 */
@NoArgsConstructor(access = AccessLevel.NONE)
public final class MembershipType {

    // 菜单类型
    @Getter
    @AllArgsConstructor
    public enum MenuType {

        LEFT("LEFT", "左侧菜单"), TOP("TOP", "顶部菜单"), BUTTON("BUTTON", "按钮");

        @EnumValue
        private final String type;
        private final String description;

    }

    // 人身核验方式
    @Getter
    @AllArgsConstructor
    public enum PersonalVerificationMethod {

        E_TOKEN("E_TOKEN", "腾讯E证通");

        @EnumValue
        private final String type;
        private final String description;

    }

}
