package com.yaoyicloud.easier.common.domain.enums.type;

import com.baomidou.mybatisplus.annotation.EnumValue;

import lombok.AccessLevel;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;

/**
 * WAREHOUSE中心类型枚举
 *
 * @author jimmy
 * @version 1.0.0
 * @date 2022-10-15 20:14
 */
@NoArgsConstructor(access = AccessLevel.NONE)
public final class WarehouseType {

    // 项目类型
    @Getter
    @AllArgsConstructor
    public enum ProjectType {

        TASK_CONTAINER("TASK_CONTAINER", "任务容器");

        @EnumValue
        private final String type;
        private final String description;

    }

    // 项目统计方式类型
    @Getter
    @AllArgsConstructor
    public enum ProjectStatMethod {

        TASK_QTY("QTY", "任务个数"), TASK_VAL("VAL", "任务值");

        @EnumValue
        private final String type;
        private final String description;

    }

    // 领取人类型
    @Getter
    @AllArgsConstructor
    public enum PickerType {

        MEMBER("MEM", "会员组别"), ENTERPRISE("ENT", "企业组别");

        @EnumValue
        private final String type;
        private final String description;

    }

    // 标签类型
    @Getter
    @AllArgsConstructor
    public enum TagType {

        PROJECT("PROJECT", "项目");

        @EnumValue
        private final String type;
        private final String description;

    }

    // 项目操作类型
    @Getter
    @AllArgsConstructor
    public enum ProjectOperationType {

        CREATE("CREATE", "创建"), PUBLISH("PUBLISH", "发布"), PULL_OFF("PULL_OFF", "下架"), PICK_UP("PICK_UP", "领取");

        @EnumValue
        private final String type;
        private final String description;

    }

    // 项目操作类型
    @Getter
    @AllArgsConstructor
    public enum ProjectPickUpOperationType {

        CREATE("CREATE", "创建"), REVIEW("REVIEW", "审核");

        @EnumValue
        private final String type;
        private final String description;

    }

    // Gig操作类型
    @Getter
    @AllArgsConstructor
    public enum GigOperationType {

        CREATE("CREATE", "创建"), REVIEW("REVIEW", "审核");

        @EnumValue
        private final String type;
        private final String description;

    }

    // Gig类别
    @Getter
    @AllArgsConstructor
    public enum GigType {
        TASK("TASK", "任务类型"), FORM("FORM", "表单类型"), PROD("PROD", "商品类型");

        @EnumValue
        private final String type;
        private final String description;

    }

    // Gig展示类别
    @Getter
    @AllArgsConstructor
    public enum GigGalleryType {
        PHOTO("PHOTO", "图片"), VIDEO("VIDEO", "视频"), PDF("PDF", "PDF");

        @EnumValue
        private final String type;
        private final String description;

    }

}
