package com.yaoyicloud.easier.common.domain.enums.type;

import com.baomidou.mybatisplus.annotation.EnumValue;

import lombok.AccessLevel;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;

/**
 * WORKSPACE中心类型枚举
 *
 * @author jimmy
 * @version 1.0.0
 * @date 2022-10-15 20:14
 */
@NoArgsConstructor(access = AccessLevel.NONE)
public final class WorkspaceType {

    // 公共参数类型
    @Getter
    @AllArgsConstructor
    public enum PublicParamType {

        DEFAULT("DEF", "默认"), INDEX("IDX", "检索"), TEXT("TEXT", "原文"), REPORT("REPORT", "报表"), SAFE("SAFE", "安全"),
        DOCUMENT("DOC", "文档"), MESSAGE("MSG", "消息"), OTHER("OTHER", "其他");

        @EnumValue
        private final String type;
        private final String description;

    }

    // 菜单类型
    @Getter
    @AllArgsConstructor
    public enum MenuType {

        LEFT("LEFT", "左侧菜单"), TOP("TOP", "顶部菜单"), BUTTON("BUTTON", "按钮");

        @EnumValue
        private final String type;
        private final String description;

    }

    // 日程类型
    @Getter
    @AllArgsConstructor
    public enum ScheduleType {

        MARK("MARK", "记录"), PLAN("PLAN", "计划");

        @EnumValue
        private final String type;
        private final String description;

    }

    // 权限类型
    @Getter
    @AllArgsConstructor
    public enum PermissionType {

        READ("READ", "读取"), UPDATE("UPDATE", "更新"), CREATE("CREATE", "创建"), DELETE("DELETE", "删除");

        @EnumValue
        private final String type;
        private final String description;

    }

    // 租户身份类型
    @Getter
    @AllArgsConstructor
    public enum TenantPlayerType {

        MAH("MAH", "售药企业"), ATTORNEY("ATTORNEY", "律所"), CSO("CSO", "代理服务商");

        @EnumValue
        private final String type;
        private final String description;
    }

    // 租户间合约状态
    @Getter
    @AllArgsConstructor
    public enum TenantContractStatus {

        DRAFT("MAH", "合约草拟"), EFFECTIVE("EFFECTIVE", "合约生效"), FINISH("FINISH", "合约结束");

        @EnumValue
        private final String status;
        private final String description;
    }
}
