package com.yaoyicloud.dto;

import javax.validation.constraints.NotNull;

import com.yaoyicloud.constant.enums.ReportType;
import lombok.AccessLevel;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Map;

/**
 * 报告DTO
 *
 * @author snows
 * @date 2024/10/14
 */
@NoArgsConstructor(access = AccessLevel.NONE)
public class ReportDTO {

    /**
     * 创建PLUS版报告参数
     *
     * @author snows
     * @date 2024/10/14
     */
    @Data
    public static class OnCreatePlusVersionReport {

        /**
         * 关联ID
         */
        @NotNull(message = "关联ID必填")
        private ReportType reportType;


        @NotNull(message = "关联ID必填")
        private Map<String, Object> data;


        @NotNull(message = "关联ID必填")
        private String reportTempWordFile;


        @NotNull(message = "关联ID必填")
        private   String reportBastPath;
    }
}
