package com.yaoyicloud.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;

import com.yaoyicloud.constant.EasierCommonEntity;
import com.yaoyicloud.constant.enums.FinancialTaxVersionType;
import com.yaoyicloud.constant.enums.RechargeBizPayType;
import com.yaoyicloud.constant.enums.RechargeChannelType;
import com.yaoyicloud.constant.enums.RechargeOrderState;
import com.yaoyicloud.constant.enums.RechargePayType;
import com.yaoyicloud.constant.enums.flag.CommonFlag;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * 工业企业充值记录
 *
 * @author snows
 * @date 2024/09/09
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName(value = "cms_recharge")
public class CmsRecharge extends EasierCommonEntity {
    private static final long serialVersionUID = 1693340940487829644L;

    /**
     * recharge主键
     */
    @TableId(type = IdType.ASSIGN_ID)
    private Long rechargeId;

    /**
     * 企业三合一码
     */
    private String regCode;

    /**
     * 租户ID
     */
    private Long tenantId;

    /**
     * 订单流水号
     */
    private String serialNumber;

    /**
     * 充值金额
     */
    private BigDecimal amount;

    /**
     * 单价(签约价格(元/户))
     */
    private BigDecimal price;

    /**
     * 预付单价(预付(元/户))
     */
    private BigDecimal prepaidPrice;

    /**
     * 购买的产品版本
     */
    private FinancialTaxVersionType productVersion;

    /**
     * 可用次数
     */
    private Long availableTimes;

    /**
     * 充值方式
     */
    private RechargeChannelType channel;

    /**
     * 支付类型
     */
    private RechargePayType payType;

    /**
     * 充值类型
     */
    private RechargeBizPayType bizPayType;

    /**
     * 订单状态
     */
    private RechargeOrderState orderState;

    /**
     * 协议
     */
    private String agreementUrl;

    /**
     * 支付凭证
     */
    private String proofUrl;

    /**
     * 生效时间
     */
    private LocalDateTime issueTime;

    /**
     * 到期时间
     */
    private LocalDateTime expireTime;

    /**
     * 备注
     */
    private String remark;

    /**
     * 删除标记
     */
    @TableLogic
    @TableField(fill = FieldFill.INSERT)
    private CommonFlag.DelFlag delFlag;
}
