package com.yaoyicloud.exception;

import com.yaoyicloud.constant.ServiceNameConstants;
import com.yaoyicloud.constant.enums.EasierBizErrorCodes;
import com.yaoyicloud.constant.enums.FilerepoErrorCodes;


/**
 * FILEREPO 业务异常
 *
 * @author jimmy
 * @version 1.0.0
 * @date 12/25/23 10:27
 */
public final class FilerepoBizException extends EasierBizException {

    private static final long serialVersionUID = -3073574772869812063L;

    public FilerepoBizException(FilerepoErrorCodes errorCodes) {
        super(ServiceNameConstants.FILEREPO_SERVICE, errorCodes.getErrorCode(), errorCodes.getErrorMsgId());
    }

    public FilerepoBizException(FilerepoErrorCodes errorCodes, Object... params) {
        super(ServiceNameConstants.FILEREPO_SERVICE, errorCodes.getErrorCode(), errorCodes.getErrorMsgId(), params);
    }

    public FilerepoBizException(EasierBizErrorCodes errorCodes) {
        super(ServiceNameConstants.FILEREPO_SERVICE, errorCodes.getErrorCode(), errorCodes.getErrorMsgId());
    }
}
