package com.yaoyicloud.feign;



import com.yaoyicloud.constant.SecurityConstants;
import com.yaoyicloud.constant.ServiceNameConstants;
import com.yaoyicloud.dto.ReportDTO;

import com.yaoyicloud.utils.RespResult;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestHeader;

@FeignClient(contextId = "reportService", value = ServiceNameConstants.REPORT_SERVER)
public interface ReportService {

    /**
     * 导出报告
     * @param resource 导出问到所需数据
     * @param from 是否内部调用
     * @return pdf保存路径
     */
    @PostMapping("/report/create-report")
    RespResult<String> createPlusVersionCheckReport(@RequestBody ReportDTO.OnCreatePlusVersionReport resource,
                                                    @RequestHeader(SecurityConstants.FROM) String from);
}
