package com.yaoyicloud.service.impl;

import java.io.IOException;
import java.util.Map;

import com.yaoyicloud.constant.enums.ReportType;
import com.yaoyicloud.service.ReportService;
import com.yaoyicloud.template.AcademicAssociationReport;
import com.yaoyicloud.template.FoundationReport;
import com.yaoyicloud.template.PlatformCompanyReport;
import org.springframework.stereotype.Service;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;

/**
 * 报告服务
 *
 * @author snows
 * @date 2024/10/12
 */
@Slf4j
@Service
@RequiredArgsConstructor
public class ReportServiceImpl implements ReportService {

    private final AcademicAssociationReport academicAssociationReport;
    private final FoundationReport foundationReport;
    private final PlatformCompanyReport platformCompanyReport;

    public String createPlusVersionCheckReport(ReportType reportType, Map<String, Object> data, String reportTempWordFile,
                                               String reportBastPath) throws IOException {
        switch (reportType) {
            case PLATFORM_COMPANY:
                reportBastPath = platformCompanyReport.exportReport(reportType, data, reportTempWordFile, reportBastPath);
                break;
            case ACADEMIC_ASSOCIATIONS:
                // academicAssociationReport.exportReport(reportType, relationId, reportTempWordFile,
                //        reportBastPath);
            case FOUNDATION:
                // foundationReport.exportReport(reportType, relationId, reportTempWordFile, reportBastPath);

                break;
            default:
                throw new RuntimeException("Report Type not supported");
        }

        return reportBastPath;
    }


}
